Your Moodle version

Activities: Mindmap

mod_mindmap
Maintained by asd Tõnis Tartes
This is the original Mindmap module for moodle formerly found on ekpenso.com.
25k
2
Moodle 2.1, 2.2, 2.3, 2.4, 2.5

Mindmap module for Moodle 2.x

------------------------

by Tõnis Tartes


This is the original Mindmap module for moodle formerly found on ekpenso.com. 

This Mindmap module allows you to create and save simple mindmaps from within moodle.


Quick install instructions:


- Copy this "/mindmap"-Folder and place it in your /mod directory

- Go to your admin area and "Notifications"

- That's it


Have fun!


Thanks to original mindmap module author: Andreas Geier

Link: https://github.com/functino/Moodle-Mindmap-Module


Thanks goes to FatCow Webhosting for the new Mindmap icon. 

License: Creative Commons(Attribution 3.0 United States)


//09.06.2014 - version 2014060900

+Moodle 2.7 compatiblity with new logging api

This version is compatible with Moodle 2.7 and up. 

Please download older version for Moodle 2.6 and below.


Screenshots

Screenshot

Contributors

asd
Tõnis Tartes (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • asd
    Mon, May 6, 2013, 3:03 PM
    Hi,

    I updated the module and changed the language string.
  • Picture of rob stevenson
    Wed, Jul 31, 2013, 4:21 PM
    Hi Tõnis

    do you have any plans to update this to work with Moodle 2.5? If so, any idea on when this would happen?

    thanks

    Rob
  • asd
    Mon, Aug 5, 2013, 3:37 PM
    Yes ofcourse but it should work as it is in moodle 2.5 too or have you encountered any errors?
  • Picture of Rupert Martin
    Thu, Apr 24, 2014, 8:15 AM
    I am using moodle 2.6 and getting an error with the $string['modulename_help'] when I tried to install this plugin.
  • asd
    Thu, Apr 24, 2014, 5:47 PM
    Thank you for reporting, i will fix this asap.
  • asd
    Wed, May 14, 2014, 4:10 AM
    I think you should clear caches, this notice should go away then. Also i recommend you to update the module to the latest!
  • asd
    Thu, Jun 26, 2014, 1:09 AM
    If you are using Moodle 2.6 and below then please download the older version(2014051300) of this plugin. The latest version(2014060900) will only work with Moodle 2.7 and up. Sorry for the trouble.
  • Picture of Sarah Jane
    Sun, Jul 27, 2014, 9:47 PM
    I am trying to find how to add a new node using a mac keyboard - this doesn't have an insert key so what do I use?
  • asd
    Mon, Aug 4, 2014, 5:29 PM
    I'm not a mac user, so i cant give any hints. I suggest you try to google, i'm sure mac has something equivalent to PC-s Insert button.
  • Picture of Sarah Jane
    Thu, Aug 7, 2014, 7:33 PM
    I was also looking for a mind map that the participants could use individually - has anyone seen this?
  • asd
    Thu, Aug 7, 2014, 7:35 PM
  • Picture of Gorn ---
    Thu, Sep 11, 2014, 5:02 PM
    Hi Tõnis,

    I have the 2.7-version of the mindmap installed, but when I click on it after having it included in a course I get a blank page.
    When I switch on debugging I get the following error message:

    Class 'mod_mindmap\event\course_module_viewed' not found in ../html/mod/mindmap/view.php on line 66

    I think you have to have a folder "classes/event" in your plugin and then implement the class "course_module_viewed" as an extension of the abstract class there. That seems to be done in all the other modules, so it might be required?
  • asd
    Tue, Sep 16, 2014, 5:13 PM
    Hey!

    Are you sure you are using Moodle 2.7 version? Because that error would be shown only if you are on Moodle 2.6 or lower. The new logging API is only available from 2.7.

    If your Moodle version is below 2.7 then download some older version of this plugin.

    Let me know how it works out.
  • Picture of Gorn ---
    Fri, Sep 19, 2014, 2:50 PM
    Hi Tõnis,

    we have version 2.7.1+ installed, after updating from version 2.4.9.

    Is it possible that our problems come from skipping versions 2.5 and 2.6?

    Thanks for your help!
  • asd
    Thu, Sep 25, 2014, 6:53 PM
    Not sure.. Are other 2.7 modules working good for you?
1 2
Please login to post comments